| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XSAttributeUse Class Reference

Inheritance diagram for XSAttributeUse:

[legend]
Collaboration diagram for XSAttributeUse:

[legend]
List of all members.

## Public Methods

Constructors
| XSAttributeUse (XSAttributeDeclaration *const xsAttDecl, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
| ~XSAttributeUse ()
XSAttributeUse methods
bool | getRequired () const
| [required]: determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it. More...
XSAttributeDeclaration * | getAttrDeclaration () const
| [attribute declaration]: provides the attribute declaration itself, which will in turn determine the simple type definition used. More...
XSConstants::VALUE_CONSTRAINT | getConstraintType () const
| Value Constraint: one of default, fixed. More...
const XMLCh * | getConstraintValue ()
| Value Constraint: The actual value. More...

## Protected Attributes

bool | fRequired
XSConstants::VALUE_CONSTRAINT | fConstraintType
const XMLCh * | fConstraintValue
XSAttributeDeclaration * | fXSAttributeDeclaration

## Friends

class | XSObjectFactory

## Constructor & Destructor Documentation

XSAttributeUse::XSAttributeUse | ( | XSAttributeDeclaration *const | xsAttDecl,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) |

The default constructor.

Parameters:

  manager | The configurable memory manager

XSAttributeUse::~XSAttributeUse | ( |  | ) |

## Member Function Documentation

XSAttributeDeclaration * XSAttributeUse::getAttrDeclaration | ( |  | ) | const

| [attribute declaration]: provides the attribute declaration itself, which will in turn determine the simple type definition used.

XSConstants::VALUE_CONSTRAINT XSAttributeUse::getConstraintType | ( |  | ) | const

| Value Constraint: one of default, fixed.

const XMLCh * XSAttributeUse::getConstraintValue | ( |  | ) |

| Value Constraint: The actual value.

bool XSAttributeUse::getRequired | ( |  | ) | const

| [required]: determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.

## Friends And Related Function Documentation

friend class XSObjectFactory`[friend]`

## Member Data Documentation

XSConstants::VALUE_CONSTRAINT XSAttributeUse::fConstraintType`[protected]`

const XMLCh* XSAttributeUse::fConstraintValue`[protected]`

bool XSAttributeUse::fRequired`[protected]`

XSAttributeDeclaration* XSAttributeUse::fXSAttributeDeclaration`[protected]`

The documentation for this class was generated from the following file:

- XSAttributeUse.hpp

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.